> ## Documentation Index
> Fetch the complete documentation index at: https://docs.catalog.igvf.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Proteins Complexes

> Retrieve complexes by querying from protein participants. Each record includes protein and complex.

Set verbose = true to retrieve full info on the complexes.

Protein IDs support the following formats: ENSP00000411322.1 or ENSP00000411322 (Ensembl IDs) or P67870 (Uniprot ids)

Example: protein_id = ENSP00000411322.1,

protein_name = CSNK2B,

uniprot_name = CSK2B_HUMAN,

uniprot_full_name = Casein kinase II subunit beta,

dbxrefs = P67870.

Pagination is 0-based.



## OpenAPI

````yaml /openapi/catalog-dev.openapi.json get /proteins/complexes
openapi: 3.0.3
info:
  title: IGVF Catalog - Development
  description: >-
    Development IGVF Catalog OpenAPI compliant REST API built using tRPC with
    Express.


    Our database uses 0-based, half-open coordinates for genomic coordinates in
    the GRCh38 (human) and GRCm39 (mouse) reference genomes.


    Data is licensed under the Creative Commons license and the software is
    licensed under the MIT license.
  version: 1.2.0 - DEV
servers:
  - url: https://catalog-api-dev.demo.igvf.org/api
security: []
externalDocs:
  url: https://api-dev.catalog.igvf.org/openapi
paths:
  /proteins/complexes:
    get:
      summary: Proteins Complexes
      description: >-
        Retrieve complexes by querying from protein participants. Each record
        includes protein and complex.


        Set verbose = true to retrieve full info on the complexes.


        Protein IDs support the following formats: ENSP00000411322.1 or
        ENSP00000411322 (Ensembl IDs) or P67870 (Uniprot ids)


        Example: protein_id = ENSP00000411322.1,


        protein_name = CSNK2B,


        uniprot_name = CSK2B_HUMAN,


        uniprot_full_name = Casein kinase II subunit beta,


        dbxrefs = P67870.


        Pagination is 0-based.
      operationId: complexesFromProteins
      parameters:
        - name: protein_id
          in: query
          required: false
          schema:
            type: string
        - name: protein_name
          in: query
          required: false
          schema:
            type: string
        - name: uniprot_name
          in: query
          required: false
          schema:
            type: string
        - name: uniprot_full_name
          in: query
          required: false
          schema:
            type: string
        - name: dbxrefs
          in: query
          required: false
          schema:
            type: string
        - name: organism
          in: query
          required: false
          schema:
            type: string
            enum:
              - Homo sapiens
            default: Homo sapiens
        - name: verbose
          in: query
          required: false
          schema:
            type: string
            enum:
              - 'true'
              - 'false'
            default: 'false'
        - name: page
          in: query
          required: false
          schema:
            type: number
            default: 0
        - name: limit
          in: query
          required: false
          schema:
            type: number
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    protein:
                      anyOf:
                        - type: string
                        - type: object
                          properties:
                            _id:
                              type: string
                            name:
                              type: string
                              nullable: true
                            uniprot_names:
                              type: array
                              items:
                                type: string
                              nullable: true
                            uniprot_full_names:
                              type: array
                              items:
                                type: string
                              nullable: true
                            uniprot_ids:
                              type: array
                              items:
                                type: string
                              nullable: true
                            dbxrefs:
                              type: array
                              items:
                                type: object
                                properties:
                                  name:
                                    type: string
                                  id:
                                    type: string
                                required:
                                  - name
                                  - id
                                additionalProperties: false
                              nullable: true
                            MANE_Select:
                              type: boolean
                              nullable: true
                            organism:
                              type: string
                            source:
                              type: string
                            source_url:
                              type: string
                          required:
                            - _id
                            - organism
                            - source
                            - source_url
                          additionalProperties: false
                    complex:
                      anyOf:
                        - type: string
                        - type: object
                          properties:
                            _id:
                              type: string
                            name:
                              type: string
                            alias:
                              type: array
                              items:
                                type: string
                              nullable: true
                            molecules:
                              type: array
                              items:
                                type: string
                              nullable: true
                            evidence_code:
                              type: string
                              nullable: true
                            experimental_evidence:
                              type: string
                              nullable: true
                            description:
                              type: string
                              nullable: true
                            complex_assembly:
                              anyOf:
                                - type: string
                                - type: array
                                  items:
                                    type: string
                              nullable: true
                            complex_source:
                              type: string
                              nullable: true
                            reactome_xref:
                              type: array
                              items:
                                type: string
                              nullable: true
                            source:
                              type: string
                            source_url:
                              type: string
                          required:
                            - _id
                            - name
                            - source
                            - source_url
                          additionalProperties: false
                    name:
                      type: string
                    stoichiometry:
                      type: number
                      nullable: true
                    chain_id:
                      type: string
                      nullable: true
                    isoform_id:
                      type: string
                      nullable: true
                    number_of_paralogs:
                      type: number
                      nullable: true
                    linked_features:
                      type: array
                      items:
                        type: object
                        properties:
                          participantId:
                            type: string
                          ranges:
                            type: array
                            items:
                              type: string
                        required:
                          - participantId
                          - ranges
                        additionalProperties: false
                      nullable: true
                    source:
                      type: string
                    source_url:
                      type: string
                  required:
                    - name
                  additionalProperties: false
        default:
          $ref: '#/components/responses/error'
components:
  responses:
    error:
      description: Error response
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
              code:
                type: string
              issues:
                type: array
                items:
                  type: object
                  properties:
                    message:
                      type: string
                  required:
                    - message
                  additionalProperties: false
            required:
              - message
              - code
            additionalProperties: false

````